Name:           libisds
Version:        0.5
Release:        1%{?dist}
Summary:        Library for accessing the Czech Data Boxes

Group:          System Environment/Libraries
License:        LGPLv3
URL:            http://xpisar.wz.cz/%{name}/
Source0:        http://xpisar.wz.cz/%{name}/dist/%{name}-%{version}.tar.xz

BuildRequires:  libxml2-devel, libcurl-devel, libgcrypt-devel, gpgme-devel
BuildRequires:  expat-devel >= 2.0.0, gnupg2-smime
Requires:       gnupg2-smime

%description
This is a library for accessing ISDS (Informační systém datových schránek
/ Data Box Information System) SOAP services as defined in Czech ISDS Act
(300/2008 Coll.) and implied documents.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static \
    --enable-test \
    --with-libcurl
make %{?_smp_mflags}

%check
make check %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}
mv doc specification
rm -rf client/.deps

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS TODO COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/isds.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%doc client specification

%changelog
* Thu Mar 03 2011 Petr Pisar <ppisar@redhat.com> - 0.5-1
- 0.5 bump (breaks ABI, API preserved)
- Remove aplied patch and GPG hack

* Fri Feb 11 2011 Petr Pisar <ppisar@redhat.com> - 0.4-2
- Rebuild with GCC 4.6
- Remove BuildRoot stuff
- Make devel subpackage dependencies ISA specific

* Mon Dec 20 2010 Petr Pisar <ppisar@redhat.com> - 0.4-1
- 0.4 bump, it breaks ABI
- Use smaller xz archive instead of bzip2
- Do tests in parallel

* Fri Nov 05 2010 Petr Pisar <ppisar@redhat.com> - 0.3.1-2
- Rebuild against new libxml2

* Tue Jun 29 2010 Petr Pisar <ppisar@redhat.com> - 0.3.1-1
- 0.3.1 version bump
- Create ~/.gnupg to workaround bug in gnupg2-smime

* Tue Apr 13 2010 Petr Pisar <ppisar@redhat.com> - 0.2.1-1
- New version 0.2.1 released by upstream

* Thu Feb 11 2010 Matěj Cepl <mcepl@redhat.com> - 0.1-2
- Fixing small issue with documentation for package review

* Tue Feb 09 2010 Matěj Cepl <mcepl@redhat.com> - 0.1-1
- Initial packaging effort
